CUPTI (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 3.49. CUpti_ActivityPcie Struct Reference

## [CUPTI Activity API]

This structure gives capabilities of GPU and PCI bridge connected to the PCIE bus which can be used to understand the topology.

### Public Variables

CUpti_ActivityPcie::@26 attr
uint32_t bridgeId
CUdevice devId
uint16_t deviceId
uint32_t domain
CUpti_ActivityPcie::@25 id
CUpti_ActivityKind kind
uint16_t linkRate
uint16_t linkWidth
uint16_t pad0
uint16_t pcieGeneration
CUdevice peerDev[CUPTI_MAX_GPUS]
uint16_t secondaryBus
CUpti_PcieDeviceType type
uint16_t upstreamBus
CUuuid uuidDev
uint16_t vendorId

### Variables

CUpti_ActivityPcie::@26 CUpti_ActivityPcie::attr [inherited]

  Attributes for more information about GPU (gpuAttr) or PCI Bridge (bridgeAttr)

uint32_t CUpti_ActivityPcie::bridgeId [inherited]

  A unique identifier for Bridge in the Topology

CUdevice CUpti_ActivityPcie::devId [inherited]

  GPU device ID

uint16_t CUpti_ActivityPcie::deviceId [inherited]

  Device ID of the bridge

uint32_t CUpti_ActivityPcie::domain [inherited]

  Domain for the GPU or Bridge, required to identify which PCIE bus it belongs to in multiple NUMA systems.

CUpti_ActivityPcie::@25 CUpti_ActivityPcie::id [inherited]

  A unique identifier for GPU or Bridge in Topology

CUpti_ActivityKind CUpti_ActivityPcie::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_PCIE.

uint16_t CUpti_ActivityPcie::linkRate [inherited]

  Link rate of the GPU or bridge in gigatransfers per second (GT/s)

uint16_t CUpti_ActivityPcie::linkWidth [inherited]

  Link width of the GPU or bridge

uint16_t CUpti_ActivityPcie::pad0 [inherited]

  Padding for alignment

uint16_t CUpti_ActivityPcie::pcieGeneration [inherited]

  PCIE Generation of GPU or Bridge.

CUdevice CUpti_ActivityPcie::peerDev[CUPTI_MAX_GPUS] [inherited]

  CUdevice with which this device has P2P capability. This can also be obtained by querying cuDeviceCanAccessPeer or cudaDeviceCanAccessPeer APIs

uint16_t CUpti_ActivityPcie::secondaryBus [inherited]

  The downstream bus number, used to search downstream devices/bridges connected to this bridge.

CUpti_PcieDeviceType CUpti_ActivityPcie::type [inherited]

  Type of device in topology, CUpti_PcieDeviceType. If type is CUPTI_PCIE_DEVICE_TYPE_GPU use devId for id and gpuAttr and if type is CUPTI_PCIE_DEVICE_TYPE_BRIDGE use bridgeId for id and bridgeAttr.

uint16_t CUpti_ActivityPcie::upstreamBus [inherited]

  Upstream bus ID for the GPU or PCI bridge. Required to identify which bus it is connected to in the topology.

CUuuid CUpti_ActivityPcie::uuidDev [inherited]

  UUID for the device. CUpti_ActivityDevice2.

uint16_t CUpti_ActivityPcie::vendorId [inherited]

  Vendor ID of the bridge